Index: libs/libmythupnp/configuration.cpp
===================================================================
--- libs/libmythupnp/configuration.cpp	(revision 20066)
+++ libs/libmythupnp/configuration.cpp	(working copy)
@@ -25,6 +25,7 @@
 
 #include <QDir>
 #include <QFile>
+#include <QTextStream>
 
 #include "configuration.h"
 #include "mythverbose.h"  // for VERBOSE and GetConfDir()
Index: libs/libmythupnp/upnpdevice.h
===================================================================
--- libs/libmythupnp/upnpdevice.h	(revision 20066)
+++ libs/libmythupnp/upnpdevice.h	(working copy)
@@ -28,6 +28,7 @@
 
 #include <QDomDocument>
 #include <QUrl>
+#include <QTextStream>
 
 #include "upnputil.h"
 #include "refcounted.h"
@@ -39,7 +40,6 @@
 class UPnpDevice;
 class UPnpService;
 class UPnpIcon;
-class QTextStream;
 
 /////////////////////////////////////////////////////////////////////////////
 // Typedefs
Index: libs/libmythupnp/ssdp.cpp
===================================================================
--- libs/libmythupnp/ssdp.cpp	(revision 20066)
+++ libs/libmythupnp/ssdp.cpp	(working copy)
@@ -29,11 +29,12 @@
 #include "multicast.h"
 #include "broadcast.h"
 
-#include <qregexp.h>
+#include <QRegExp>
+#include <QTextStream>
+#include <QStringList>
 
 #include <unistd.h>
 #include <stdlib.h>
-#include <qstringlist.h>
 #include <sys/time.h>
 
 /////////////////////////////////////////////////////////////////////////////
Index: libs/libmythupnp/upnputil.cpp
===================================================================
--- libs/libmythupnp/upnputil.cpp	(revision 20066)
+++ libs/libmythupnp/upnputil.cpp	(working copy)
@@ -27,7 +27,7 @@
 #include <cerrno>
 
 // Qt headers
-#include <quuid.h>
+#include <QUuid>
 
 // MythTV headers
 #include "upnputil.h"
Index: libs/libmythupnp/httprequest.cpp
===================================================================
--- libs/libmythupnp/httprequest.cpp	(revision 20066)
+++ libs/libmythupnp/httprequest.cpp	(working copy)
@@ -27,6 +27,7 @@
 #include <QFileInfo>
 #include <QTextCodec>
 #include <QStringList>
+#include <QUrl>
 
 #include "mythconfig.h"
 #if defined CONFIG_DARWIN || defined CONFIG_CYGWIN || defined(__FreeBSD__) || defined(USING_MINGW)
Index: libs/libmythupnp/libmythupnp.pro
===================================================================
--- libs/libmythupnp/libmythupnp.pro	(revision 20066)
+++ libs/libmythupnp/libmythupnp.pro	(working copy)
@@ -67,9 +67,9 @@
     QMAKE_LFLAGS_SHLIB += -flat_namespace
 }
 
-#The following line was inserted by qt3to4
 QT += network xml sql
 
 include ( ../libs-targetfix.pro )
 
 LIBS += $$LATE_LIBS
+QT +=  opengl qt3support 
Index: libs/libmythupnp/upnpmsrr.h
===================================================================
--- libs/libmythupnp/upnpmsrr.h	(revision 20066)
+++ libs/libmythupnp/upnpmsrr.h	(working copy)
@@ -1,8 +1,8 @@
 #ifndef UPnpMSRR_H_
 #define UPnpMSRR_H_
 
-#include <qdom.h>
-#include <qdatetime.h> 
+#include <QDomNode>
+#include <QDateTime> 
 
 #include "httpserver.h"
 #include "eventing.h"
Index: libs/libmythupnp/threadpool.cpp
===================================================================
--- libs/libmythupnp/threadpool.cpp	(revision 20066)
+++ libs/libmythupnp/threadpool.cpp	(working copy)
@@ -22,6 +22,7 @@
 //////////////////////////////////////////////////////////////////////////////
 
 #include <QCoreApplication>
+#include <QEvent>
 
 #include <algorithm>
 using namespace std;
Index: libs/libmythupnp/soapclient.cpp
===================================================================
--- libs/libmythupnp/soapclient.cpp	(revision 20066)
+++ libs/libmythupnp/soapclient.cpp	(working copy)
@@ -21,7 +21,9 @@
 //
 //////////////////////////////////////////////////////////////////////////////
 
-#include <qbuffer.h>
+#include <QBuffer>
+#include <QTextStream>
+#include <QHttpRequestHeader>
 
 #include "soapclient.h"
 
Index: libs/libmythupnp/upnpdevice.cpp
===================================================================
--- libs/libmythupnp/upnpdevice.cpp	(revision 20066)
+++ libs/libmythupnp/upnpdevice.cpp	(working copy)
@@ -28,7 +28,7 @@
 #include <unistd.h>
 #include <cerrno>
 
-#include <qfile.h>
+#include <QFile>
 #include <QTextStream>
 
 int DeviceLocation::g_nAllocated   = 0;       // Debugging only
Index: libs/libmythupnp/mythxmlclient.h
===================================================================
--- libs/libmythupnp/mythxmlclient.h	(revision 20066)
+++ libs/libmythupnp/mythxmlclient.h	(working copy)
@@ -24,8 +24,9 @@
 #ifndef MYTHXMLCLIENT_H_
 #define MYTHXMLCLIENT_H_
 
-#include <qdom.h>
-#include <qbuffer.h>
+#include <QDomNode>
+#include <QBuffer>
+#include <QUrl>
 
 #include "httpcomms.h"
 
Index: libs/libmythupnp/configuration.h
===================================================================
--- libs/libmythupnp/configuration.h	(revision 20066)
+++ libs/libmythupnp/configuration.h	(working copy)
@@ -24,8 +24,8 @@
 #ifndef __CONFIGURATION_H__
 #define __CONFIGURATION_H__
 
-#include <qdom.h>
-#include <qstringlist.h>
+#include <QDomNode>
+#include <QStringList>
 
 class Configuration 
 {
Index: libs/libmythupnp/eventing.h
===================================================================
--- libs/libmythupnp/eventing.h	(revision 20066)
+++ libs/libmythupnp/eventing.h	(working copy)
@@ -29,13 +29,12 @@
 #include <QUrl>
 #include <QUuid>
 #include <QMap>
+#include <QTextStream>
 
 #include "upnpimpl.h"
 #include "upnputil.h"
 #include "httpserver.h"
 
-class QTextStream;
-
 //////////////////////////////////////////////////////////////////////////////
 //
 //////////////////////////////////////////////////////////////////////////////
Index: libs/libmythupnp/upnpmsrr.cpp
===================================================================
--- libs/libmythupnp/upnpmsrr.cpp	(revision 20066)
+++ libs/libmythupnp/upnpmsrr.cpp	(working copy)
@@ -9,8 +9,9 @@
 #include "upnpmsrr.h"
 
 #include <math.h>
-#include <qregexp.h>
 
+#include <QRegExp>
+
 /////////////////////////////////////////////////////////////////////////////
 //
 /////////////////////////////////////////////////////////////////////////////
Index: libs/libmythupnp/upnpcdsobjects.h
===================================================================
--- libs/libmythupnp/upnpcdsobjects.h	(revision 20066)
+++ libs/libmythupnp/upnpcdsobjects.h	(working copy)
@@ -28,9 +28,9 @@
 #include <QString>
 #include <QList>
 #include <QMap>
+#include <QTextStream>
 
 class CDSObject;
-class QTextStream;
 
 //////////////////////////////////////////////////////////////////////////////
 //
Index: libs/libmythdvdnav/libmythdvdnav.pro
===================================================================
--- libs/libmythdvdnav/libmythdvdnav.pro	(revision 20066)
+++ libs/libmythdvdnav/libmythdvdnav.pro	(working copy)
@@ -55,3 +55,4 @@
 mingw:DEFINES += STDC_HEADERS
 
 include ( ../libs-targetfix.pro )
+QT +=  qt3support 
Index: libs/libmythfreesurround/freesurround.cpp
===================================================================
--- libs/libmythfreesurround/freesurround.cpp	(revision 20066)
+++ libs/libmythfreesurround/freesurround.cpp	(working copy)
@@ -29,8 +29,8 @@
 #include <map>
 #include <math.h>
 
-#include <qstring.h>
-#include <qdatetime.h>
+#include <QString>
+#include <QDateTime>
 
 using namespace std;
 
Index: libs/libmythfreesurround/libmythfreesurround.pro
===================================================================
--- libs/libmythfreesurround/libmythfreesurround.pro	(revision 20066)
+++ libs/libmythfreesurround/libmythfreesurround.pro	(working copy)
@@ -30,3 +30,4 @@
 }
 
 include ( ../libs-targetfix.pro )
+QT +=  qt3support 
Index: libs/libmythdb/oldsettings.cpp
===================================================================
--- libs/libmythdb/oldsettings.cpp	(revision 20066)
+++ libs/libmythdb/oldsettings.cpp	(working copy)
@@ -12,7 +12,9 @@
 #include "oldsettings.h"
 #include "mythverbose.h"
 
-#include <qstring.h>
+#include <QString>
+#include <QDir>
+
 #include <fstream>
 #include <cstdlib>
 #include <cstdio>
@@ -23,8 +25,6 @@
 
 using namespace std;
 
-#include <qdir.h>
-
 Settings::Settings(QString strSettingsFile)
 {
     if (strSettingsFile.length() == 0)
Index: libs/libmythdb/msocketdevice_win.cpp
===================================================================
--- libs/libmythdb/msocketdevice_win.cpp	(revision 20066)
+++ libs/libmythdb/msocketdevice_win.cpp	(working copy)
@@ -45,7 +45,7 @@
 #include "qwindowdefs.h"
 #include "qdatetime.h"
 
-#include <qcoreapplication.h>
+#include <QCoreApplication>
 
 #include <string.h>
 
Index: libs/libmythdb/decodeencode.h
===================================================================
--- libs/libmythdb/decodeencode.h	(revision 20066)
+++ libs/libmythdb/decodeencode.h	(working copy)
@@ -2,9 +2,10 @@
 #define DECODEENCODE_H_
 
 #include <algorithm>
+
 using namespace std;
 
-#include <qstringlist.h>
+#include <QStringList>
 
 // This is necessary for GCC 3.3, which has llabs(long long)
 // // but not abs(long long) or std::llabs(long long)
Index: libs/libmythdb/httpcomms.cpp
===================================================================
--- libs/libmythdb/httpcomms.cpp	(revision 20066)
+++ libs/libmythdb/httpcomms.cpp	(working copy)
@@ -1,8 +1,9 @@
 #include <iostream>
 
-#include <qfile.h>
-#include <qapplication.h>
-#include <qregexp.h>
+#include <QFile>
+#include <QApplication>
+#include <QRegExp>
+
 #include <unistd.h>
 
 #include "mythverbose.h"
Index: libs/libmythdb/mythobservable.cpp
===================================================================
--- libs/libmythdb/mythobservable.cpp	(revision 20066)
+++ libs/libmythdb/mythobservable.cpp	(working copy)
@@ -1,5 +1,5 @@
-#include <qobject.h>
-#include <qapplication.h>
+#include <QObject>
+#include <QApplication>
 
 #include "mythobservable.h"
 
Index: libs/libmythdb/mythdb.cpp
===================================================================
--- libs/libmythdb/mythdb.cpp	(revision 20066)
+++ libs/libmythdb/mythdb.cpp	(working copy)
@@ -1,4 +1,6 @@
 #include <QMutex>
+#include <QSqlQuery>
+#include <QSqlError>
 
 #include "mythdb.h"
 #include "mythdbcon.h"
Index: libs/libmythdb/mythdbcon.h
===================================================================
--- libs/libmythdb/mythdbcon.h	(revision 20066)
+++ libs/libmythdb/mythdbcon.h	(working copy)
@@ -3,13 +3,12 @@
 
 #include <iostream>
 
-#include <qsqldatabase.h>
-#include <qvariant.h>
-#include <qsql.h>
-#include <qsqlquery.h>
-#include <qsemaphore.h>
-#include <qsqlerror.h>
-#include <qsqlfield.h>
+#include <QSqlDatabase>
+#include <QVariant>
+#include <QSqlQuery>
+#include <QSemaphore>
+#include <QSqlError>
+#include <QSqlField>
 #include <QRegExp>
 #include <QDateTime>
 #include <QMutex>
Index: libs/libmythdb/mythsocket.h
===================================================================
--- libs/libmythdb/mythsocket.h	(revision 20066)
+++ libs/libmythdb/mythsocket.h	(working copy)
@@ -12,7 +12,6 @@
 #include "mythexp.h"
 #include "msocketdevice.h"
 
-class QHostAddress;
 class MythSocket;
 
 class MPUBLIC MythSocketCBs
@@ -49,7 +48,7 @@
     QList<MythSocket*> m_readyread_dellist;
     QList<MythSocket*> m_readyread_addlist;
 #ifdef USING_MINGW
-    HANDLE readyreadevent;
+    Qt::HANDLE readyreadevent;
 #else
     int m_readyread_pipe[2];
 #endif
Index: libs/libmythdb/remotefile.h
===================================================================
--- libs/libmythdb/remotefile.h	(revision 20066)
+++ libs/libmythdb/remotefile.h	(working copy)
@@ -1,8 +1,8 @@
 #ifndef REMOTEFILE_H_
 #define REMOTEFILE_H_
 
-#include <qstring.h>
-#include <qmutex.h>
+#include <QString>
+#include <QMutex>
 
 #include "mythexp.h"
 
Index: libs/libmythdb/oldsettings.h
===================================================================
--- libs/libmythdb/oldsettings.h	(revision 20066)
+++ libs/libmythdb/oldsettings.h	(working copy)
@@ -9,8 +9,10 @@
 
 #ifndef OLDSETTINGS_H
 #define OLDSETTINGS_H
-#include <qstring.h>
+
+#include <QString>
 #include <QPixmap>
+
 #include <map>
 
 #include "mythexp.h"
@@ -20,7 +22,6 @@
   *@author Sean Ward
   */
 
-class QPixmap;
 class MPUBLIC Settings {
 public:
         Settings(QString strSettingFile = "settings.txt");
Index: libs/libmythdb/httpcomms.h
===================================================================
--- libs/libmythdb/httpcomms.h	(revision 20066)
+++ libs/libmythdb/httpcomms.h	(working copy)
@@ -1,12 +1,13 @@
 #ifndef HTTPCOMMS_H_
 #define HTTPCOMMS_H_
 
-#include <qurl.h>
-#include <qobject.h>
+#include <QUrl>
+#include <QObject>
 #include <QByteArray>
 #include <QString>
 #include <QTimer>
 #include <QHttp>
+#include <QHttpRequestHeader>
 
 #include "mythexp.h"
 
Index: libs/libmythdb/qcodecs.h
===================================================================
--- libs/libmythdb/qcodecs.h	(revision 20066)
+++ libs/libmythdb/qcodecs.h	(working copy)
@@ -38,9 +38,6 @@
 
 #include <mythexp.h>
 
-class QByteArray;
-class QIODevice;
-
 /**
  * A wrapper class for the most commonly used encoding and
  * decoding algorithms.  Currently there is support for encoding
Index: libs/libmythdb/mythdbcon.cpp
===================================================================
--- libs/libmythdb/mythdbcon.cpp	(revision 20066)
+++ libs/libmythdb/mythdbcon.cpp	(working copy)
@@ -3,6 +3,7 @@
 
 #include <QVector>
 #include <QSqlDriver>
+#include <QSqlQuery>
 
 #include "compat.h"
 #include "mythdbcon.h"
Index: libs/libmythdb/mythsocket.cpp
===================================================================
--- libs/libmythdb/mythsocket.cpp	(revision 20066)
+++ libs/libmythdb/mythsocket.cpp	(working copy)
@@ -1,12 +1,12 @@
-#include <qapplication.h>
-#include <qstring.h>
-#include <unistd.h>
-#include <stdlib.h>
-
+#include <QApplication>
+#include <QString>
 #include <QByteArray>
 #include <QMutex>
 #include <QHostInfo>
 
+#include <unistd.h>
+#include <stdlib.h>
+
 #include "mythtimer.h"
 #include "mythsocket.h"
 #include "mythverbose.h"
@@ -811,8 +811,8 @@
 #ifdef USING_MINGW
 
         int n = m_readyread_list.count() + 1;
-        HANDLE *hEvents = new HANDLE[n];
-        memset(hEvents, 0, sizeof(HANDLE) * n);
+        Qt::HANDLE *hEvents = new Qt::HANDLE[n];
+        memset(hEvents, 0, sizeof(Qt::HANDLE) * n);
         unsigned *idx = new unsigned[n];
         n = 0;
 
@@ -822,7 +822,7 @@
             if (sock->state() == MythSocket::Connected
                 && !sock->m_notifyread && !isLocked(sock->m_lock))
             {
-                HANDLE hEvent = ::CreateEvent(NULL, false, false, NULL);
+                Qt::HANDLE hEvent = ::CreateEvent(NULL, false, false, NULL);
                 if (!hEvent)
                 {
                     VERBOSE(VB_IMPORTANT, "MythSocket: CreateEvent failed");
Index: libs/libmythdb/mythobservable.h
===================================================================
--- libs/libmythdb/mythobservable.h	(revision 20066)
+++ libs/libmythdb/mythobservable.h	(working copy)
@@ -5,8 +5,6 @@
 #include "mythevent.h"
 #include "mythexp.h"
 
-class QObject;
-
 /** \class MythObservable
     \brief Superclass for making an object have a set of listeners
 
Index: libs/libmythdb/libmythdb.pro
===================================================================
--- libs/libmythdb/libmythdb.pro	(revision 20066)
+++ libs/libmythdb/libmythdb.pro	(working copy)
@@ -56,3 +56,4 @@
 include ( ../libs-targetfix.pro )
 
 LIBS += $$LATE_LIBS
+QT +=  qt3support 
Index: libs/libmythdb/mythdb.h
===================================================================
--- libs/libmythdb/mythdb.h	(revision 20066)
+++ libs/libmythdb/mythdb.h	(working copy)
@@ -2,6 +2,8 @@
 #define MYTHDB_H_
 
 #include <QString>
+#include <QSqlQuery>
+#include <QSqlError>
 #include "mythexp.h"
 #include "mythdbcon.h"
 #include "mythdbparams.h"
Index: programs/mythfrontend/manualschedule.h
===================================================================
--- programs/mythfrontend/manualschedule.h	(revision 20066)
+++ programs/mythfrontend/manualschedule.h	(working copy)
@@ -6,7 +6,6 @@
 
 #include "mythscreentype.h"
 
-class QTimer;
 class ProgramInfo;
 
 class MythUIButton;
Index: programs/mythfrontend/playbackbox.cpp
===================================================================
--- programs/mythfrontend/playbackbox.cpp	(revision 20066)
+++ programs/mythfrontend/playbackbox.cpp	(working copy)
@@ -1,3 +1,5 @@
+#include <QKeyEvent>
+#include <QEvent>
 
 using namespace std;
 
Index: programs/mythfrontend/viewscheduled.h
===================================================================
--- programs/mythfrontend/viewscheduled.h	(revision 20066)
+++ programs/mythfrontend/viewscheduled.h	(working copy)
@@ -2,6 +2,8 @@
 #define VIEWSCHEDULED_H_
 
 #include <QDateTime>
+#include <QEvent>
+#include <QKeyEvent>
 
 #include "programlist.h"
 
Index: programs/mythfrontend/statusbox.h
===================================================================
--- programs/mythfrontend/statusbox.h	(revision 20066)
+++ programs/mythfrontend/statusbox.h	(working copy)
@@ -2,6 +2,8 @@
 #define STATUSBOX_H_
 
 #include <vector>
+#include <QKeyEvent>
+#include <QEvent>
 using namespace std;
 
 #include "mythscreentype.h"
Index: programs/mythfrontend/channelrecpriority.cpp
===================================================================
--- programs/mythfrontend/channelrecpriority.cpp	(revision 20066)
+++ programs/mythfrontend/channelrecpriority.cpp	(working copy)
@@ -2,6 +2,8 @@
 #include <iostream>
 #include <algorithm>
 #include <vector>
+#include <QKeyEvent>
+#include <QEvent>
 using namespace std;
 
 #include "channelrecpriority.h"
Index: programs/mythfrontend/mythappearance.h
===================================================================
--- programs/mythfrontend/mythappearance.h	(revision 20066)
+++ programs/mythfrontend/mythappearance.h	(working copy)
@@ -1,8 +1,10 @@
 #ifndef MYTHAPPEARANCE_H
 #define MYTHAPPEARANCE_H
 
-#include <qstringlist.h>
-#include <qstring.h>
+#include <QStringList>
+#include <QString>
+#include <QEvent>
+#include <QKeyEvent>
 
 #include "mythscreentype.h"
 #include "mythuitext.h"
Index: programs/mythfrontend/proglist.h
===================================================================
--- programs/mythfrontend/proglist.h	(revision 20066)
+++ programs/mythfrontend/proglist.h	(working copy)
@@ -4,6 +4,7 @@
 // Qt headers
 #include <QDateTime>
 #include <QKeyEvent>
+#include <QEvent>
 
 // MythTV headers
 #include "mythscreentype.h"
Index: programs/mythfrontend/programrecpriority.h
===================================================================
--- programs/mythfrontend/programrecpriority.h	(revision 20066)
+++ programs/mythfrontend/programrecpriority.h	(working copy)
@@ -4,9 +4,8 @@
 #include "programinfo.h"
 #include "scheduledrecording.h"
 #include "mythscreentype.h"
+#include <QKeyEvent>
 
-class QDateTime;
-
 class MythUIButtonList;
 class MythUIButtonListItem;
 class MythUIText;
Index: programs/mythfrontend/mythcontrols.h
===================================================================
--- programs/mythfrontend/mythcontrols.h	(revision 20066)
+++ programs/mythfrontend/mythcontrols.h	(working copy)
@@ -27,6 +27,8 @@
 // QT
 #include <QList>
 #include <QHash>
+#include <QEvent>
+#include <QKeyEvent>
 
 // MythUI
 #include <mythscreentype.h>
Index: programs/mythfrontend/custompriority.cpp
===================================================================
--- programs/mythfrontend/custompriority.cpp	(revision 20066)
+++ programs/mythfrontend/custompriority.cpp	(working copy)
@@ -1,5 +1,6 @@
 #include <unistd.h>
 #include <iostream>
+#include <QSqlError>
 using namespace std;
 
 #include "custompriority.h"
Index: programs/mythfrontend/globalsettings.cpp
===================================================================
--- programs/mythfrontend/globalsettings.cpp	(revision 20066)
+++ programs/mythfrontend/globalsettings.cpp	(working copy)
@@ -10,7 +10,7 @@
 // Qt headers
 #include <QApplication>
 #include <QEvent>
-#include <qnamespace.h>
+#include <Qt>
 #include <QStyleFactory>
 #include <QFile>
 #include <QDialog>
Index: programs/mythfrontend/mythfexml.h
===================================================================
--- programs/mythfrontend/mythfexml.h	(revision 20066)
+++ programs/mythfrontend/mythfexml.h	(working copy)
@@ -8,8 +8,8 @@
 #ifndef MYTHFEXML_H_
 #define MYTHFEXML_H_
 
-#include <qdom.h>
-#include <qdatetime.h> 
+#include <QDomNode>
+#include <QDateTime> 
 
 #include "upnp.h"
 #include "eventing.h"
Index: programs/mythfrontend/keygrabber.h
===================================================================
--- programs/mythfrontend/keygrabber.h	(revision 20066)
+++ programs/mythfrontend/keygrabber.h	(working copy)
@@ -6,6 +6,7 @@
 #include <mythscreentype.h>
 
 #include "mythscreentype.h"
+#include <QKeyEvent>
 
 class MythUIText;
 class MythUIButton;
Index: programs/mythfrontend/viewscheduled.cpp
===================================================================
--- programs/mythfrontend/viewscheduled.cpp	(revision 20066)
+++ programs/mythfrontend/viewscheduled.cpp	(working copy)
@@ -1,6 +1,8 @@
 #include <stdlib.h>
 
 #include <iostream>
+#include <QKeyEvent>
+#include <QEvent>
 using namespace std;
 
 #include <QDateTime>
Index: programs/mythfrontend/statusbox.cpp
===================================================================
--- programs/mythfrontend/statusbox.cpp	(revision 20066)
+++ programs/mythfrontend/statusbox.cpp	(working copy)
@@ -5,6 +5,8 @@
 #include <stdlib.h>
 
 #include <iostream>
+#include <QKeyEvent>
+#include <QEvent>
 using namespace std;
 
 #include <QRegExp>
Index: programs/mythfrontend/networkcontrol.h
===================================================================
--- programs/mythfrontend/networkcontrol.h	(revision 20066)
+++ programs/mythfrontend/networkcontrol.h	(working copy)
@@ -2,6 +2,8 @@
 #define NETWORKCONTROL_H_
 
 #include <deque>
+#include <QEvent>
+#include <QTextStream>
 using namespace std;
 
 #include <pthread.h>
@@ -12,7 +14,6 @@
 #include <QMutex>
 
 class MainServer;
-class QTextStream;
 
 // Locking order
 // clientLock -> ncLock
Index: programs/mythfrontend/mythfrontend.pro
===================================================================
--- programs/mythfrontend/mythfrontend.pro	(revision 20066)
+++ programs/mythfrontend/mythfrontend.pro	(working copy)
@@ -66,3 +66,4 @@
 using_jack:DEFINES += USING_JACK
 using_oss: DEFINES += USING_OSS
 macx:      DEFINES += USING_COREAUDIO
+QT +=  qt3support 
Index: programs/mythfrontend/mythappearance.cpp
===================================================================
--- programs/mythfrontend/mythappearance.cpp	(revision 20066)
+++ programs/mythfrontend/mythappearance.cpp	(working copy)
@@ -1,15 +1,16 @@
 #define MYTHAPPEARANCE_CPP
 
 /* QT includes */
-#include <qnamespace.h>
+#include <Qt>
 #include <QStringList>
 #include <QApplication>
 #include <QDomNode>
-#include <QButtonGroup>
+#include <Q3ButtonGroup>
 #include <QImage>
 #include <QEvent>
 #include <QDir>
 #include <QString>
+#include <QKeyEvent>
 
 /* MythTV includes */
 #include "mythcontext.h"
Index: programs/mythfrontend/proglist.cpp
===================================================================
--- programs/mythfrontend/proglist.cpp	(revision 20066)
+++ programs/mythfrontend/proglist.cpp	(working copy)
@@ -2,6 +2,8 @@
 #include <map>
 #include <vector>
 #include <algorithm>
+#include <QKeyEvent>
+#include <QEvent>
 using namespace std;
 
 // qt
Index: programs/mythfrontend/programrecpriority.cpp
===================================================================
--- programs/mythfrontend/programrecpriority.cpp	(revision 20066)
+++ programs/mythfrontend/programrecpriority.cpp	(working copy)
@@ -1,6 +1,7 @@
 
 #include <iostream>
 #include <vector>
+#include <QKeyEvent>
 using namespace std;
 
 #include <QDateTime>
Index: programs/mythfrontend/playbackbox.h
===================================================================
--- programs/mythfrontend/playbackbox.h	(revision 20066)
+++ programs/mythfrontend/playbackbox.h	(working copy)
@@ -6,6 +6,8 @@
 
 // C++ headers
 #include <vector>
+#include <QKeyEvent>
+#include <QEvent>
 using namespace std;
 
 #include <QDateTime>
@@ -21,7 +23,6 @@
 
 class NuppelVideoPlayer;
 class RingBuffer;
-class QTimer;
 class ProgramInfo;
 class PreviewGenerator;
 
Index: programs/mythfrontend/mythcontrols.cpp
===================================================================
--- programs/mythfrontend/mythcontrols.cpp	(revision 20066)
+++ programs/mythfrontend/mythcontrols.cpp	(working copy)
@@ -30,6 +30,7 @@
 #include <QStringList>
 #include <QApplication>
 #include <QKeyEvent>
+#include <QEvent>
 
 // MythTV headers
 #include <mythcontext.h>
Index: programs/mythfrontend/channelrecpriority.h
===================================================================
--- programs/mythfrontend/channelrecpriority.h	(revision 20066)
+++ programs/mythfrontend/channelrecpriority.h	(working copy)
@@ -4,6 +4,8 @@
 #include "mythscreentype.h"
 
 #include "programinfo.h"
+#include <QKeyEvent>
+#include <QEvent>
 
 class ChannelInfo;
 
Index: programs/mythfrontend/mediarenderer.h
===================================================================
--- programs/mythfrontend/mediarenderer.h	(revision 20066)
+++ programs/mythfrontend/mediarenderer.h	(working copy)
@@ -11,8 +11,8 @@
 #ifndef __MEDIARENDERER_H__
 #define __MEDIARENDERER_H__
 
-#include <qobject.h>
-#include <qmutex.h>
+#include <QObject>
+#include <QMutex>
 
 #include "upnp.h"
 #include "upnpcmgr.h"
Index: programs/mythfrontend/mythfexml.cpp
===================================================================
--- programs/mythfrontend/mythfexml.cpp	(revision 20066)
+++ programs/mythfrontend/mythfexml.cpp	(working copy)
@@ -13,11 +13,12 @@
 
 #include "mythmainwindow.h"
 
-#include <qtextstream.h>
-#include <qdir.h>
-#include <qfile.h>
-#include <qregexp.h>
-#include <qbuffer.h>
+#include <QTextStream>
+#include <QDir>
+#include <QFile>
+#include <QRegExp>
+#include <QBuffer>
+
 #include <math.h>
 
 #include "../../config.h"
Index: programs/mythfrontend/action.cpp
===================================================================
--- programs/mythfrontend/action.cpp	(revision 20066)
+++ programs/mythfrontend/action.cpp	(working copy)
@@ -23,7 +23,7 @@
  */
 
 // Qt headers
-#include <qkeysequence.h>
+#include <QKeySequence>
 
 // MythControls headers
 #include "action.h"
Index: programs/mythfrontend/keygrabber.cpp
===================================================================
--- programs/mythfrontend/keygrabber.cpp	(revision 20066)
+++ programs/mythfrontend/keygrabber.cpp	(working copy)
@@ -1,6 +1,7 @@
 // -*- Mode: c++ -*-
 // Qt headers
 #include <QString>
+#include <QKeyEvent>
 
 // MythTV headers
 #include <mythcontext.h>
Index: programs/mythfrontend/mythosdmenueditor.cpp
===================================================================
--- programs/mythfrontend/mythosdmenueditor.cpp	(revision 20066)
+++ programs/mythfrontend/mythosdmenueditor.cpp	(working copy)
@@ -1,15 +1,15 @@
 #define MYTHOSDMENUEDITOR_CPP
 
 /* QT includes */
-#include <qnamespace.h>
-#include <qstringlist.h>
-#include <qapplication.h>
-#include <qdom.h>
-#include <qbuttongroup.h>
-#include <qimage.h>
-#include <qevent.h>
-#include <qdir.h>
-#include <qstring.h>
+#include <Qt>
+#include <QStringList>
+#include <QApplication>
+#include <QDomNode>
+#include <Q3ButtonGroup>
+#include <QImage>
+#include <QEvent>
+#include <QDir>
+#include <QString>
 
 /* MythTV includes */
 #include "mythcontext.h"
Index: programs/mythjobqueue/mythjobqueue.pro
===================================================================
--- programs/mythjobqueue/mythjobqueue.pro	(revision 20066)
+++ programs/mythjobqueue/mythjobqueue.pro	(working copy)
@@ -14,3 +14,4 @@
 
 # Input
 SOURCES += main.cpp
+QT += xml network  opengl qt3support 
Index: programs/mythtranscode/replex/replex.pro
===================================================================
--- programs/mythtranscode/replex/replex.pro	(revision 20066)
+++ programs/mythtranscode/replex/replex.pro	(working copy)
@@ -34,3 +34,4 @@
 DEPENDPATH += ../../../libs/libavutil ../../../libs/libavformat ../../../libs/libsavcodec
 
 CONFIG  -= qt
+QT += xml network  sql opengl qt3support 
Index: programs/mythtranscode/mythtranscode.pro
===================================================================
--- programs/mythtranscode/mythtranscode.pro	(revision 20066)
+++ programs/mythtranscode/mythtranscode.pro	(working copy)
@@ -22,3 +22,4 @@
 INCLUDEPATH += replex
 INCLUDEPATH += ../../libs/libavcodec ../../libs/libavformat \
                ../../libs/libavutil  ../../libs/ ../../libs/libmythmpeg2
+QT +=  opengl 
Index: programs/mythtranscode/transcode.cpp
===================================================================
--- programs/mythtranscode/transcode.cpp	(revision 20066)
+++ programs/mythtranscode/transcode.cpp	(working copy)
@@ -8,13 +8,14 @@
 #include <ctime>
 #include <math.h>
 
-#include <qstringlist.h>
-#include <qsqldatabase.h>
-#include <qmap.h>
-#include <qstringlist.h>
-#include <qregexp.h>
+#include <QStringList>
+#include <QSqlDatabase>
+#include <QMap>
+#include <QStringList>
+#include <QRegExp>
 
 #include <iostream>
+
 using namespace std;
 
 #include "osdtypes.h"
Index: programs/mythtranscode/mpeg2fix.h
===================================================================
--- programs/mythtranscode/mpeg2fix.h	(revision 20066)
+++ programs/mythtranscode/mpeg2fix.h	(working copy)
@@ -23,9 +23,9 @@
 #include <QStringList>
 #include <QDateTime>
 
-#include <q3ptrlist.h>
-#include <q3ptrqueue.h>
-#include <q3valuelist.h>
+#include <Q3PtrList>
+#include <Q3PtrQueue>
+#include <Q3ValueList>
 
 #include "transcodedefs.h"
 
@@ -265,7 +265,8 @@
 };
 
 #ifdef NO_MYTH
-    #include <qdatetime.h>
+    #include <QDateTime>
+
     #include <iostream>
 
     using namespace std;
Index: programs/mythcommflag/mythcommflag.pro
===================================================================
--- programs/mythcommflag/mythcommflag.pro	(revision 20066)
+++ programs/mythcommflag/mythcommflag.pro	(working copy)
@@ -47,6 +47,5 @@
 
 SOURCES += main.cpp
 
-#The following line was inserted by qt3to4
 QT += xml sql
-
+QT += network  opengl qt3support 
Index: programs/mythcommflag/CommDetectorFactory.h
===================================================================
--- programs/mythcommflag/CommDetectorFactory.h	(revision 20066)
+++ programs/mythcommflag/CommDetectorFactory.h	(working copy)
@@ -1,12 +1,13 @@
 #ifndef _COMMDETECTOR_FACTORY_H_
 #define _COMMDETECTOR_FACTORY_H_
 
+#include <QDateTime>
+
 #include "channelutil.h"
 
 class CommDetectorBase;
 class NuppelVideoPlayer;
 class RemoteEncoder;
-class QDateTime;
 
 class CommDetectorFactory
 {
Index: programs/mythcommflag/FrameAnalyzer.h
===================================================================
--- programs/mythcommflag/FrameAnalyzer.h	(revision 20066)
+++ programs/mythcommflag/FrameAnalyzer.h	(working copy)
@@ -10,7 +10,7 @@
 /* Base class for commercial flagging video frame analyzers. */
 
 #include <limits.h>
-#include <qmap.h>
+#include <QMap>
 
 /*  
  * At least FreeBSD doesn't define LONG_LONG_MAX, but it does define  
Index: programs/scripts/scripts.pro
===================================================================
--- programs/scripts/scripts.pro	(revision 20066)
+++ programs/scripts/scripts.pro	(working copy)
@@ -12,3 +12,4 @@
 INSTALLS += installscripts
 
 SOURCES += dummy.c
+QT += xml network  sql opengl qt3support 
